osl::effect_util::VirtualPin Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Static Public Member Functions | Static Private Member Functions | List of all members
osl::effect_util::VirtualPin Class Reference

`#include <virtualPin.h>`

## Static Public Member Functions
static bool | find (const NumEffectState &state, Player defense, const PieceMask &remove)
| remove が全て動くと defenseの玉に攻め方の効きが発生するか。 More...
static bool | find (const NumEffectState &state, Player defense, Square target)

## Static Private Member Functions
template<Direction DIR>
static bool | findDirection (const SimpleState &state, Square target, Player defense, const PieceMask &remove)

## Detailed Description

Definition at line 11 of file virtualPin.h.

## Member Function Documentation

bool osl::effect_util::VirtualPin::find | ( | const NumEffectState & | state,
|  | Player | defense,
|  | const PieceMask & | remove
| ) |  |
| static

remove が全て動くと defenseの玉に攻め方の効きが発生するか。

Definition at line 6 of file virtualPin.cc.

References target.

Referenced by find().

static bool osl::effect_util::VirtualPin::find | ( | const NumEffectState & | state,
|  | Player | defense,
|  | Square | target
| ) |  |
| inlinestatic

Definition at line 35 of file virtualPin.h.

References find().

template<Direction DIR>

static bool osl::effect_util::VirtualPin::findDirection | ( | const SimpleState & | state,
|  | Square | target,
|  | Player | defense,
|  | const PieceMask & | remove
| ) |  |
| inlinestaticprivate

Definition at line 15 of file virtualPin.h.

References osl::Board_Table, osl::PtypeTable::getMoveMask(), osl::BoardTable::getOffset(), osl::Piece::isPiece(), osl::Piece::number(), osl::Piece::owner(), osl::Piece::ptype(), osl::Ptype_Table, and osl::Piece::square().

The documentation for this class was generated from the following files:

- virtualPin.h
- virtualPin.cc